<?php
include_once(getabspath("include/venta_settings.php"));

function DisplayMasterTableInfo_venta($params)
{
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	$detailPageObj = $params["detailPageObj"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	$oldTableName = $strTableName;
	$strTableName = "venta";
	
	$settings = new ProjectSettings($strTableName, PAGE_LIST);
	$cipherer = new RunnerCipherer($strTableName);
	
	$masterQuery = $settings->getSQLQuery();
	
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST);

$where = "";
$mKeys = array();
$showKeys = "";

global $page_styles, $page_layouts, $page_layout_names, $container_styles;

$layout = new TLayout("masterlist","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterlistheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterlistfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["venta_masterlist"] = $layout;


if($detailtable == "det_venta")
{
		$where.= GetFullFieldName("idventa", "", false)."=".$cipherer->MakeDBValue("idventa",$keys[1-1], "", "", true);
	$showKeys .= " "."Nº venta".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
}
if($detailtable == "cobro")
{
		$where.= GetFullFieldName("idventa", "", false)."=".$cipherer->MakeDBValue("idventa",$keys[1-1], "", "", true);
	$showKeys .= " "."Nº venta".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
}
	if(!$where)
	{
		$strTableName = $oldTableName;
		return;
	}
	$str = SecuritySQL("Search");
	if(strlen($str))
		$where.= " and ".$str;

	$strWhere = whereAdd($masterQuery->WhereToSql(),$where);
	if(strlen($strWhere))
		$strWhere = " where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL = AddWhere($strSQL,$where);
	LogInfo($strSQL);
	$rs = db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName = $oldTableName;
		return;
	}
	$keylink = "";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idventa"]));
	

//	idventa - 
			$value="";

					$xt->assign("idventa_mastervalue", $viewControls->showDBValue("idventa", $data, $keylink));

//	fecha - Short Date
			$value="";

					$xt->assign("fecha_mastervalue", $viewControls->showDBValue("fecha", $data, $keylink));

//	cliente - 
			$value="";

					$xt->assign("cliente_mastervalue", $viewControls->showDBValue("cliente", $data, $keylink));

//	total_venta - Number
			$value="";

					$xt->assign("total_venta_mastervalue", $viewControls->showDBValue("total_venta", $data, $keylink));

//	total_cobro - Number
			$value="";

					$xt->assign("total_cobro_mastervalue", $viewControls->showDBValue("total_cobro", $data, $keylink));

//	observacion - 
			$value="";

					$xt->assign("observacion_mastervalue", $viewControls->showDBValue("observacion", $data, $keylink));

//	cobrada - 
			$value="";

					$xt->assign("cobrada_mastervalue", $viewControls->showDBValue("cobrada", $data, $keylink));

	$viewControls->addControlsJSAndCSS();
	$detailPageObj->viewControlsMap['mViewControlsMap'] = $viewControls->viewControlsMap;

	$layout = GetPageLayout("venta", 'masterlist');
	if($layout)
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->display("venta_masterlist.htm");
	
	$strTableName=$oldTableName;
}

?>